#
# spec file for package libopenraw
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://libopenraw.freedesktop.org/
Summary:        A library to decode digtal camera RAW files

Name:           libopenraw
Version:        0.0.8
Release:        11.12.1
License:        LGPLv2.1+
Group:          Development/Libraries/C and C++
Source0:        http://libopenraw.freedesktop.org/download/%name-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM libopenraw-gdk-pixbuf-loaders-path.patch fdo29208 -- Install gdk-pixbuf module in the right directory, only works with gdk-pixbuf >= 2.21
Patch0:         libopenraw-gdk-pixbuf-loaders-path.patch
# PATCH-FIX-UPSTREAM libopenraw-detect-compressed-otf.patch bnc561232 fdo26618 glin@novell.com -- Detect the compressed otf file to avoid potential segfault
Patch1:         libopenraw-detect-compressed-otf.patch
# PATCH-FIX-UPSTREAM libopenraw-orf-thumbnail.patch bnc699678 glin@novell.com - Decompress otf files
Patch2:         libopenraw-orf-thumbnail.patch
BuildRequires:  gcc-c++
BuildRequires:  boost-devel >= 1.33.1
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.21
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libopenraw is a library that aim at decoding digital camera RAW files.

%package -n libopenraw1
License:        LGPLv2.1+
Summary:        A library to decode digtal camera RAW files
Group:          Development/Libraries/C and C++

%description -n libopenraw1
libopenraw is a library that aim at decoding digital camera RAW files.

%package -n gdk-pixbuf-loader-libopenraw
License:        LGPLv2.1+
Summary:        A library to decode digtal camera RAW files -- gdk-pixbuf loader
Group:          Development/Libraries/C and C++
Supplements:    packageand(libopenraw1:gdk-pixbuf)
%gdk_pixbuf_loader_requires

%description -n gdk-pixbuf-loader-libopenraw
libopenraw is a library that aim at decoding digital camera RAW files.

This package provides a libopenraw-based gdk-pixbuf loader.

%package -n libopenraw-devel
License:        LGPLv2.1+
Summary:        A library to decode digtal camera RAW files
Requires:       libopenraw1 = %{version}
#include gdk-pixbuf/gdk-pixbuf.h
Requires:       gdk-pixbuf-devel
Group:          Development/Libraries/C and C++

%description  -n libopenraw-devel
libopenraw is a library that aim at decoding digital camera RAW files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libopenraw1 -p /sbin/ldconfig

%postun -n libopenraw1 -p /sbin/ldconfig

%post -n gdk-pixbuf-loader-libopenraw
%gdk_pixbuf_loader_post

%postun -n gdk-pixbuf-loader-libopenraw
%gdk_pixbuf_loader_postun

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libopenraw1
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%{_libdir}/*.so.*

%files -n gdk-pixbuf-loader-libopenraw
%defattr(-,root,root)
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libopenraw_pixbuf.so

%files -n libopenraw-devel
%defattr(-,root,root)
%{_libdir}/*.so
%dir %{_includedir}/libopenraw-1.0
%{_includedir}/libopenraw-1.0/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Jun 15 2011 glin@novell.com
- Merge upstream patch libopenraw-detect-compressed-otf.patch to
  avoid segfault while loading Olympus raw files (.orf)
  bnc#561232, fdo#26618
- Rebase and merge upstream patch libopenraw-orf-thumbnail.patch to
  decompress otf bnc#699678
* Mon Oct 11 2010 vuntz@opensuse.org
- Add missing Requires for gdk-pixbuf-query-loaders to
  gdk-pixbuf-loader-libopenraw in baselibs.conf.
* Wed Jul 21 2010 vuntz@opensuse.org
- Change gtk2-devel and libxml2-devel BuildRequires to
  pkgconfig(gdk-pixbuf-2.0) and pkgconfig(libxml-2.0).
- Add explicit pkgconfig(glib-2.0) BuildRequires.
- Add libopenraw-gdk-pixbuf-loaders-path.patch to have the
  gdk-pixbuf loader installed where it should with the new
  gdk-pixbuf library. Patch was committed upstream.
- Note that we require gdk-pixbuf >= 2.21 for the build because of
  the patch.
- Split the gdk-pixbuf loader in a gdk-pixbuf-loader-libopenraw
  subpackage (that gets installed automatically when gdk-pixbuf is
  installed thanks to a Supplements).
- Change gtk2-devel Requires in devel package to gdk-pixbuf-devel.
- Add baselibs.conf, so that the pixbuf loader can work with 32bit
  version of gdk-pixbuf.
* Fri May 22 2009 vuntz@novell.com
- Update to version 0.0.8:
  + includes missing for gcc 4.4
- Changes from version 0.0.7:
  + fix some warnings in the test and demo programs.
  + fix a huge memory leak (fdo#21435)
- Changes from version 0.0.6:
  + LICENSE change to LGPLv3+
  + BUG: cfa output should write the data in PGM as big endian.
  + BUG: added missing includes breaking on gcc 4.3 and other
    platforms. (Closes bug fdo#18243).
  + BUG: better handling of Canon CR2 "slices" to fix crasher
    with Canon 450D/Digital Rebel XSi files (and possibly others).
  + NEW: API or_rawfile_new_from_memory() to load a Raw file from
    a memory buffer.
  + NEW: API or_rawfile_get_typeid() and the associated consts.
  + NEW: API or_rawdata_get_minmax()
  + NEW: API or_get_file_extensions()
  + NEW: API or_rawfile_get_rendered_image() to get a rendered
    image.
  + NEW: API or_bitmapdata_*()
  + NEW: GdkPixbuf loader.
  + NEW: Decompress NEF files.
  + NEW: Python bindings.
  + NEW: testsuite can be overridden with an override file.
  + NEW: testsuite can be bootstrapped to download its files off
    the internet.
  + NEW: add shave to the build system for saner output.
  + TODO: apply the coefficients.
- Drop libopenraw-gcc44.patch: fixed upstream.
- Use makeinstall.
- Package new GdkPixbuf loader.
* Wed Feb 25 2009 coolo@suse.de
- update to compile against gcc 4.4
* Mon Jan  5 2009 crrodriguez@suse.de
- exclude static libraries
- fix -devel package dependencies
* Fri Nov 21 2008 hfiguiere@suse.de
- Disable make check in the mean time until the boost issue is
  solved.
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Thu Apr  3 2008 hfiguiere@suse.de
- Initial checkin
